Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class XFN

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.XFN

    public class XFN

extends Vocabulary

Vocabulary class for XFN, as per Expressing XFN in RDF.

Author:
  Richard Cyganiak (richard@cyganiak.de)

Field Summary
`org.openrdf.model.URI` | `acquaintance`
`org.openrdf.model.URI` | `child`
`org.openrdf.model.URI` | `colleague`
`org.openrdf.model.URI` | `contact`
`org.openrdf.model.URI` | `coResident`
`org.openrdf.model.URI` | `coWorker`
`org.openrdf.model.URI` | `crush`
`org.openrdf.model.URI` | `date`
`org.openrdf.model.URI` | `friend`
`org.openrdf.model.URI` | `kin`
`org.openrdf.model.URI` | `me`
`org.openrdf.model.URI` | `mePage`
`org.openrdf.model.URI` | `met`
`org.openrdf.model.URI` | `muse`
`org.openrdf.model.URI` | `neighbor`
`static String` | `NS`
`org.openrdf.model.URI` | `parent`
`org.openrdf.model.URI` | `spouse`
`org.openrdf.model.URI` | `sweetheart`

Method Summary
`org.openrdf.model.URI` | `getExtendedProperty(String localName)`
`static XFN` | `getInstance()`
`org.openrdf.model.URI` | `getPropertyByLocalName(String localName)`
`boolean` | `isExtendedXFNLocalName(String localName)`
`boolean` | `isXFNLocalName(String localName)`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

See Also:
  Constant Field Values

### contact

    public final org.openrdf.model.URI contact

### acquaintance

    public final org.openrdf.model.URI acquaintance

### friend

    public final org.openrdf.model.URI friend

### met

    public final org.openrdf.model.URI met

### coWorker

    public final org.openrdf.model.URI coWorker

### colleague

    public final org.openrdf.model.URI colleague

### coResident

    public final org.openrdf.model.URI coResident

### neighbor

    public final org.openrdf.model.URI neighbor

### child

    public final org.openrdf.model.URI child

### parent

    public final org.openrdf.model.URI parent

### spouse

    public final org.openrdf.model.URI spouse

### kin

    public final org.openrdf.model.URI kin

### muse

    public final org.openrdf.model.URI muse

### crush

    public final org.openrdf.model.URI crush

### date

    public final org.openrdf.model.URI date

### sweetheart

    public final org.openrdf.model.URI sweetheart

### me

    public final org.openrdf.model.URI me

### mePage

    public final org.openrdf.model.URI mePage

Method Detail

### getInstance

    public static XFN getInstance()

### getPropertyByLocalName

    public org.openrdf.model.URI getPropertyByLocalName(String localName)

### getExtendedProperty

    public org.openrdf.model.URI getExtendedProperty(String localName)

### isXFNLocalName

    public boolean isXFNLocalName(String localName)

### isExtendedXFNLocalName

    public boolean isExtendedXFNLocalName(String localName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.